VPS侦探论坛

 找回密码
 注册
查看: 124|回复: 1

centos7 安装失败,只有nginx安装成功了

[复制链接]
发表于 2020-8-27 09:11:19 | 显示全部楼层 |阅读模式



centos7 安装失败,只有nginx安装成功了,mysql和php-fpm都是失败的,安装日志在附件里


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2020-8-27 13:13:29 | 显示全部楼层


已加载插件:fastestmirror, langpacks
Loading mirror speeds from cached hostfile
* base: mirrors.163.com
* extras: mirrors.163.com
* updates: mirrors.163.com
正在解决依赖关系
There are unfinished transactions remaining. You might consider running yum-complete-transaction, or "yum-complete-transaction --cleanup-only" and "yum history redo last", first to finish them. If those don't work you'll have to try removing/installing packages by hand (maybe package-cleanup can help).
--> 正在检查事务
---> 软件包 krb5-devel.x86_64.0.1.15.1-46.el7 将被 安装
--> 正在处理依赖关系 libkadm5(x86-64) = 1.15.1-46.el7,它被软件包 krb5-devel-1.15.1-46.el7.x86_64 需要
--> 正在处理依赖关系 krb5-libs(x86-64) = 1.15.1-46.el7,它被软件包 krb5-devel-1.15.1-46.el7.x86_64 需要
--> 正在处理依赖关系 libverto-devel,它被软件包 krb5-devel-1.15.1-46.el7.x86_64 需要
--> 正在处理依赖关系 libselinux-devel,它被软件包 krb5-devel-1.15.1-46.el7.x86_64 需要
--> 正在处理依赖关系 keyutils-libs-devel,它被软件包 krb5-devel-1.15.1-46.el7.x86_64 需要
--> 正在处理依赖关系 libkdb5.so.8()(64bit),它被软件包 krb5-devel-1.15.1-46.el7.x86_64 需要
--> 正在检查事务
---> 软件包 keyutils-libs-devel.x86_64.0.1.5.8-3.el7 将被 安装
---> 软件包 krb5-libs.x86_64.0.1.11.3-49.el7 将被 升级
---> 软件包 krb5-libs.x86_64.0.1.15.1-46.el7 将被 更新
---> 软件包 libkadm5.x86_64.0.1.15.1-46.el7 将被 安装
---> 软件包 libselinux-devel.x86_64.0.2.5-15.el7 将被 安装
--> 正在处理依赖关系 libselinux(x86-64) = 2.5-15.el7,它被软件包 libselinux-devel-2.5-15.el7.x86_64 需要
--> 正在处理依赖关系 libsepol-devel(x86-64) >= 2.5-10,它被软件包 libselinux-devel-2.5-15.el7.x86_64 需要
--> 正在处理依赖关系 pkgconfig(libsepol),它被软件包 libselinux-devel-2.5-15.el7.x86_64 需要
---> 软件包 libverto-devel.x86_64.0.0.2.5-4.el7 将被 安装
--> 正在检查事务
---> 软件包 libselinux.x86_64.0.2.2.2-6.el7 将被 升级
--> 正在处理依赖关系 libselinux = 2.2.2-6.el7,它被软件包 libselinux-utils-2.2.2-6.el7.x86_64 需要
--> 正在处理依赖关系 libselinux = 2.2.2-6.el7,它被软件包 libselinux-python-2.2.2-6.el7.x86_64 需要
---> 软件包 libselinux.x86_64.0.2.5-15.el7 将被 更新
--> 正在处理依赖关系 libsepol(x86-64) >= 2.5-10,它被软件包 libselinux-2.5-15.el7.x86_64 需要
--> 正在处理依赖关系 libsepol.so.1(LIBSEPOL_1.0)(64bit),它被软件包 libselinux-2.5-15.el7.x86_64 需要
---> 软件包 libsepol-devel.x86_64.0.2.5-10.el7 将被 安装
--> 正在检查事务
---> 软件包 libselinux-python.x86_64.0.2.2.2-6.el7 将被 升级
---> 软件包 libselinux-python.x86_64.0.2.5-15.el7 将被 更新
---> 软件包 libselinux-utils.x86_64.0.2.2.2-6.el7 将被 升级
---> 软件包 libselinux-utils.x86_64.0.2.5-15.el7 将被 更新
---> 软件包 libsepol.x86_64.0.2.1.9-3.el7 将被 升级
---> 软件包 libsepol.x86_64.0.2.5-10.el7 将被 更新
--> 处理 libselinux-2.5-15.el7.x86_64 与 systemd < 219-20 的冲突
--> 处理 libselinux-2.5-15.el7.x86_64 与 selinux-policy-base < 3.13.1-66 的冲突
--> 正在使用新的信息重新解决依赖关系
--> 正在检查事务
---> 软件包 libselinux.x86_64.0.2.2.2-6.el7 将被 升级
---> 软件包 libselinux.x86_64.0.2.2.2-6.el7 将被 升级
---> 软件包 selinux-policy-targeted.noarch.0.3.12.1-153.el7 将被 升级
---> 软件包 selinux-policy-targeted.noarch.0.3.13.1-266.el7_8.1 将被 更新
--> 正在处理依赖关系 selinux-policy = 3.13.1-266.el7_8.1,它被软件包 selinux-policy-targeted-3.13.1-266.el7_8.1.noarch 需要
--> 正在处理依赖关系 selinux-policy = 3.13.1-266.el7_8.1,它被软件包 selinux-policy-targeted-3.13.1-266.el7_8.1.noarch 需要
--> 正在处理依赖关系 policycoreutils >= 2.5-24,它被软件包 selinux-policy-targeted-3.13.1-266.el7_8.1.noarch 需要
--> 正在检查事务
---> 软件包 policycoreutils.x86_64.0.2.2.5-11.el7 将被 升级
---> 软件包 policycoreutils.x86_64.0.2.5-34.el7 将被 更新
--> 正在处理依赖关系 libsemanage >= 2.5-14,它被软件包 policycoreutils-2.5-34.el7.x86_64 需要
--> 正在处理依赖关系 libsemanage.so.1(LIBSEMANAGE_1.1)(64bit),它被软件包 policycoreutils-2.5-34.el7.x86_64 需要
---> 软件包 selinux-policy.noarch.0.3.12.1-153.el7 将被 升级
---> 软件包 selinux-policy.noarch.0.3.13.1-266.el7_8.1 将被 更新
--> 正在检查事务
---> 软件包 libsemanage.x86_64.0.2.1.10-16.el7 将被 升级
---> 软件包 libsemanage.x86_64.0.2.5-14.el7 将被 更新
--> 处理 libselinux-2.5-15.el7.x86_64 与 systemd < 219-20 的冲突
--> 解决依赖关系完成
错误:libselinux conflicts with systemd-208-11.el7.x86_64
您可以尝试添加 --skip-broken 选项来解决该问题
** 发现 24 个已存在的 RPM 数据库问题, 'yum check' 输出如下:
centos-release-7-8.2003.0.el7.centos.x86_64 是 centos-release-7-0.1406.el7.centos.2.3.x86_64 的副本
cryptsetup-libs-2.0.3-6.el7.x86_64 是 cryptsetup-libs-1.6.3-2.el7.x86_64 的副本
7:device-mapper-1.02.164-7.el7_8.2.x86_64 是 7:device-mapper-1.02.84-14.el7.x86_64 的副本
7:device-mapper-event-1.02.164-7.el7_8.2.x86_64 有已安装冲突 lvm2-libs < ('7', '2.02.111', None): 7:lvm2-libs-2.02.105-14.el7.x86_64
7:device-mapper-event-1.02.164-7.el7_8.2.x86_64 是 7:device-mapper-event-1.02.84-14.el7.x86_64 的副本
7:device-mapper-event-libs-1.02.164-7.el7_8.2.x86_64 是 7:device-mapper-event-libs-1.02.84-14.el7.x86_64 的副本
7:device-mapper-libs-1.02.164-7.el7_8.2.x86_64 是 7:device-mapper-libs-1.02.84-14.el7.x86_64 的副本
device-mapper-persistent-data-0.8.5-2.el7.x86_64 是 device-mapper-persistent-data-0.3.2-1.el7.x86_64 的副本
dracut-033-568.el7.x86_64 是 dracut-033-161.el7.x86_64 的副本
expat-2.1.0-11.el7.x86_64 是 expat-2.1.0-8.el7.x86_64 的副本
glib2-2.56.1-5.el7.x86_64 是 glib2-2.36.3-5.el7.x86_64 的副本
kmod-20-28.el7.x86_64 是 kmod-14-9.el7.x86_64 的副本
libX11-1.6.7-2.el7.x86_64 有已安装冲突 libxcb < ('0', '1.11', '4'): libxcb-1.9-5.el7.x86_64
libX11-1.6.7-2.el7.x86_64 是 libX11-1.6.0-2.1.el7.x86_64 的副本
libX11-common-1.6.7-2.el7.noarch 是 libX11-common-1.6.0-2.1.el7.noarch 的副本
libblkid-2.23.2-63.el7.x86_64 是 libblkid-2.23.2-16.el7.x86_64 的副本
libmount-2.23.2-63.el7.x86_64 是 libmount-2.23.2-16.el7.x86_64 的副本
libuuid-2.23.2-63.el7.x86_64 是 libuuid-2.23.2-16.el7.x86_64 的副本
libxcb-1.13-1.el7.x86_64 是 libxcb-1.9-5.el7.x86_64 的副本
systemd-219-73.el7_8.9.x86_64 有已安装冲突 dracut < ('0', '033', '243'): dracut-033-161.el7.x86_64
systemd-219-73.el7_8.9.x86_64 有已安装冲突 initscripts < ('0', '9.49.28', '1'): initscripts-9.49.17-1.el7.x86_64
systemd-219-73.el7_8.9.x86_64 是 systemd-208-11.el7.x86_64 的副本
systemd-libs-219-73.el7_8.9.x86_64 是 systemd-libs-208-11.el7.x86_64 的副本
util-linux-2.23.2-63.el7.x86_64 是 util-linux-2.23.2-16.el7.x86_64 的副本

你系统上依赖关系由问题肯定是会导致安装失败的,可以参考:https://bbs.vpser.net/thread-19120-1-1.html 解决 或 重装系统
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2020-9-24 21:49 , Processed in 0.068400 second(s), 27 queries .

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表